@mixin make-rotate($s) {
    #{$s}rotate-0{
        transform: rotate(0);
    }
    #{$s}rotate-45{
        transform: rotate(45deg);
    }
    #{$s}rotate-90{
        transform: rotate(90deg);
    }
    #{$s}rotate-180{
        transform: rotate(180deg);
    }
    #{$s}-rotate-45{
        transform: rotate(-45deg);
    }
    #{$s}-rotate-90{
        transform: rotate(-90deg);
    }
    #{$s}-rotate-180{
        transform: rotate(-180deg);
    }
}